Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » OCL » OCL dependency not being picked up.
OCL dependency not being picked up. [message #56708] Mon, 26 May 2008 09:11 Go to next message
David Wynter is currently offline David Wynter
Messages: 4547
Registered: July 2009
Senior Member
Hi,

One of my Eclipse installations asks for this dependency regardless of
what plugins I try to update. I had previously added OCL MDT plugin
manually, since update site will not work for anything. It did not help.

Current configuration contains errors that are not corrected by the
requested operation and more errors would be introduced. See details for
more information.
----- Current configuration problems -----
OCL 2.0 Binding for UML (1.1.1.v200707131415-1007w311818242526)
requires plug-in "org.eclipse.uml2.uml (2.1.0)", or equivalent.
----- Configuration problems after the operation -----
Data Tools Platform Open Data Access Designer (1.5.2.200802201)
requires feature "org.eclipse.datatools.doc.user (1.5.2)", or later version.
Data Tools Platform SQL Development Tools (1.5.2.200802201)
requires feature "org.eclipse.datatools.doc.user (1.5.2)", or later version.
Data Tools Platform SQL Development Tools Results View
(1.5.2.200802201) requires feature "org.eclipse.datatools.doc.user
(1.5.2)", or later version.

Where do I find OCL 2.0 Binding for UML? I disabled everything in my
plugin config that had a red cross against it to try to clear this
situation. But I get the feeling something is wrong with the eclipse
registry as the OCL should not be a dependency for so many plugins. I
tried starting with -clean too, made no difference.

Thx.

David
Re: OCL dependency not being picked up. [message #56735 is a reply to message #56708] Mon, 26 May 2008 09:17 Go to previous message
Eclipse User
Originally posted by: cdamus.zeligsoft.com

Hi, David,

I wouldn't expect the DTP documentation plug-ins to require the OCL UML
binding, but you might ask about that on the DTP newsgroup.

The Update Manager will always complain about dependencies that are
missing from your installation despite the fact that what you are trying
to install has nothing to do with them. In order to resolve this, you
should either remove the org.eclipse.ocl.uml feature or install the
org.eclipse.uml2 feature, which you can get from the Europa Update Site.
If necessary, you can install the MDT UML2 2.1.x Run-time or SDK ZIP
from the downloads page:

http://www.eclipse.org/modeling/mdt/downloads/?project=uml2

HTH,

Christian

On Mon, 2008-05-26 at 14:11 +0100, david wrote:
> Hi,
>
> One of my Eclipse installations asks for this dependency regardless of
> what plugins I try to update. I had previously added OCL MDT plugin
> manually, since update site will not work for anything. It did not help.
>
> Current configuration contains errors that are not corrected by the
> requested operation and more errors would be introduced. See details for
> more information.
> ----- Current configuration problems -----
> OCL 2.0 Binding for UML (1.1.1.v200707131415-1007w311818242526)
> requires plug-in "org.eclipse.uml2.uml (2.1.0)", or equivalent.
> ----- Configuration problems after the operation -----
> Data Tools Platform Open Data Access Designer (1.5.2.200802201)
> requires feature "org.eclipse.datatools.doc.user (1.5.2)", or later version.
> Data Tools Platform SQL Development Tools (1.5.2.200802201)
> requires feature "org.eclipse.datatools.doc.user (1.5.2)", or later version.
> Data Tools Platform SQL Development Tools Results View
> (1.5.2.200802201) requires feature "org.eclipse.datatools.doc.user
> (1.5.2)", or later version.
>
> Where do I find OCL 2.0 Binding for UML? I disabled everything in my
> plugin config that had a red cross against it to try to clear this
> situation. But I get the feeling something is wrong with the eclipse
> registry as the OCL should not be a dependency for so many plugins. I
> tried starting with -clean too, made no difference.
>
> Thx.
>
> David
Previous Topic:ocl collection
Next Topic:OCL expression for return type
Goto Forum:
  


Current Time: Fri Aug 22 00:17:13 EDT 2014

Powered by FUDForum. Page generated in 0.11982 seconds